Linksfield Developer
OverviewCube APIsTopup APIsOld version
OverviewCube APIsTopup APIsOld version
  1. SMS
  • CSSS APIs
    • Overview
    • Internationalization
    • Status code
    • Sign code Example
    • SIM
      • Get all SIM cards info
      • Get real-time info about one SIM card
      • Get the SIM Cards in use
    • Usage
      • Example Query the traffic usage of a single SIM card
      • Batch querying SIM card usage
      • Example Query the daily usage
      • Batch querying the usage in a specified month
    • Plan
      • Get data plan
      • Order data plan
      • Bulk order package
      • Renew your data plan
      • Query the package order information
      • To enable the order
      • Cancel an unenabled package order
      • End package orders early
      • [不推荐]停机/暂停流量套餐订单
      • [不推荐]复机/重新启动流量套餐订单
      • 【不推荐】分页批量(查询)同步设备可订购套餐
    • SMS
      • Send SMS
        POST
    • Customized
      • Order OTA Plan
      • Query the remaing data by MNO side
  • Notification
    • Notification Overview
    • Notification status code
    • 流量使用量API预警
      POST
    • 短信下行回调
      POST
    • 短信上行回调
      POST
    • 短信上行回调(区分文本二进制)
      POST
    • Plan Order Status Change notification (IMSI)
      POST
  • eSIM QR Mall APIs
    • Introduction
    • Pre - order
      POST
    • v1.1/payment/webhook
      POST
    • User login
      POST
    • My eSIM Detail
      POST
    • Pre - order v1.2
      POST
  1. SMS

Send SMS

Demo UAT
http://127.0.0.1
Demo UAT
http://127.0.0.1
POST
/sms/sendSms
The SMS sending function supports Text/ Text messages and Binary/ Binary digit messages. For details about the card resources supported by each type of SMS, contact the business personnel of the management department.
The order of fields in the smsContentList cannot be changed during signature calculation.

Request

Header Params

Body Params application/json

Example
{
    "access_code": "P002276",
    "deviceId": "89314404000939952215",
    "messageType": "Text",
    "smsContentList": [
        {
            "smsTemplateContent": "Test message",
            "smsType": "",
            "smsNum": "1"
        }
    ],
    "timestamp": "1643253530",
    "version": "2.0",
    "sign": "+5sL3gVUEm9bWReC7/PbE4Y/+xs="
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://127.0.0.1/sms/sendSms' \
--header 'Accept-Language: zh-CN' \
--header 'Content-Type: application/json' \
--data '{
    "access_code": "P002276",
    "deviceId": "89314404000939952215",
    "messageType": "Text",
    "smsContentList": [
        {
            "smsTemplateContent": "Test message",
            "smsType": "",
            "smsNum": "1"
        }
    ],
    "timestamp": "1643253530",
    "version": "2.0",
    "sign": "+5sL3gVUEm9bWReC7/PbE4Y/+xs="
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{}
Modified at 2022-10-05 07:02:24
Previous
【不推荐】分页批量(查询)同步设备可订购套餐
Next
Order OTA Plan
Built with